Index: code/branches/OrxoKart_HS18/src/modules/orxokart/CMakeLists.txt
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/orxokart/CMakeLists.txt	(revision 12066)
+++ code/branches/OrxoKart_HS18/src/modules/orxokart/CMakeLists.txt	(revision 12074)
@@ -1,3 +1,3 @@
-SET_SOURCE_FILES(Hover_SRC_FILES
+SET_SOURCE_FILES(OrxoKart_SRC_FILES
   OrxoKart.cc
   OrxoKartKart.cc
@@ -7,5 +7,5 @@
 )
 
-ORXONOX_ADD_LIBRARY(hover
+ORXONOX_ADD_LIBRARY(orxokart
   PLUGIN
   FIND_HEADER_FILES
@@ -14,4 +14,4 @@
     objects
     overlays
-  SOURCE_FILES ${Hover_SRC_FILES}
+  SOURCE_FILES ${OrxoKart_SRC_FILES}
 )
Index: code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKart.cc
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKart.cc	(revision 12066)
+++ code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKart.cc	(revision 12074)
@@ -47,8 +47,8 @@
 
         this->origin_ = nullptr;
-        this->numberOfFlags_ = 1;
+        // this->numberOfFlags_ = 1;
         this->firstTick_ = true;
 
-        this->nullptr
+        this->setHUDTemplate("HoverHUD");
     }
 
@@ -65,8 +65,5 @@
             int cellHeight = this->origin_->getCellHeight();
 
-            MazeGenerator generator(numCells);
-            generator.generateMaze();
-            generator.renderMaze();
-            int levelcodeArray[] = {1,1,1,1,1,1,1,1,0,0,0
+            int levelcodeArray[] =  {1,1,1,1,1,1,1,1,0,0,0
                                     ,1,0,0,0,0,0,0,1,1,1,0
                                     ,1,0,1,1,1,1,0,0,0,1,1
@@ -79,5 +76,4 @@
                                     ,0,0,0,0,1,0,0,0,0,0,1
                                     ,0,0,0,0,1,1,1,1,1,1,1};
-            //int* levelcode = generator.getLevelcode();
             int* levelcode = levelcodeArray;
 
@@ -106,5 +102,5 @@
 
         }//firsttick end
-
+            /*
         // Check if ship collided with one of the flags
         for ( unsigned int i = 0; i < flags_.size(); i++ ){
@@ -114,5 +110,5 @@
             }
         }
-        numberOfFlags_ = flags_.size();
+        numberOfFlags_ = flags_.size(); */
         
     }
Index: code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKart.h
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKart.h	(revision 12066)
+++ code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKart.h	(revision 12074)
@@ -60,6 +60,6 @@
         private:
             WeakPtr<OrxoKartOrigin> origin_;
-            std::vector<OrxoKartFlag*> flags_;
-            int numberOfFlags_;
+            //std::vector<OrxoKartFlag*> flags_;
+            //int numberOfFlags_;
             bool firstTick_;
     };
Index: code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartOrigin.cc
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartOrigin.cc	(revision 12066)
+++ code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartOrigin.cc	(revision 12074)
@@ -53,5 +53,5 @@
         XMLPortParam(OrxoKartOrigin, "numCells", setNumCells, getNumCells, xmlelement, mode);
         XMLPortParam(OrxoKartOrigin, "cellSize", setCellSize, getCellSize, xmlelement, mode);
-        XMLPortParam(OrxoKartOrigin, "mapMatrix", setMapMatrix, getMapMatrix, xmlelement, mode);
+        XMLPortParam(OrxoKartOrigin, "cellHeight", setCellHeight, getCellHeight, xmlelement, mode);
     }
 
Index: code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartOrigin.h
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartOrigin.h	(revision 12066)
+++ code/branches/OrxoKart_HS18/src/modules/orxokart/OrxoKartOrigin.h	(revision 12074)
@@ -61,8 +61,8 @@
                 { return this->cellSize_; }
 
-            inline void setMapMatrix(int mapMatrix)
-                { this->mapMatrix_ = mapMatrix; }
-            inline int getMapMatrix() const
-                { return this->mapMatrix_; }
+            inline void setCellHeight(int cellHeight)
+                { this->cellHeight_ = cellHeight; }
+            inline int getCellHeight() const
+                { return this->cellHeight_; }
 
         private:
@@ -71,5 +71,5 @@
             int numCells_;
             int cellSize_;
-            int mapMatrix_;
+            int cellHeight_;
     };
 }
Index: code/branches/OrxoKart_HS18/src/modules/orxokart/TimeHUD.cc
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/orxokart/TimeHUD.cc	(revision 12066)
+++ code/branches/OrxoKart_HS18/src/modules/orxokart/TimeHUD.cc	(revision 12074)
@@ -35,5 +35,5 @@
 #include "core/CoreIncludes.h"
 #include "util/Convert.h"
-#include "Hover.h"
+#include "OrxoKart.h"
 
 namespace orxonox
@@ -47,5 +47,5 @@
         this->time_ = 0.0f;
         this->running_ = false;
-        this->hoverGame_ = nullptr;
+        this->orxokartGame_ = nullptr;
         setRunning(true);
     }
@@ -79,9 +79,9 @@
             this->time_ += dt;
         }
-        if (this->hoverGame_)
+        if (this->orxokartGame_)
         {
             this->setCaption(getTimeString(this->time_));
-            if (this->hoverGame_->getNumberOfFlags() == 0)
-                setRunning(false);
+            //if (this->orxokartGame_->getNumberOfFlags() == 0)
+              //  setRunning(false);
         }
         
@@ -94,9 +94,9 @@
         if (this->getOwner() && this->getOwner()->getGametype())
         {
-            this->hoverGame_ = orxonox_cast<Hover*>(this->getOwner()->getGametype());
+            this->orxokartGame_ = orxonox_cast<OrxoKart*>(this->getOwner()->getGametype());
         }
         else
         {
-            this->hoverGame_ = nullptr;
+            this->orxokartGame_ = nullptr;
         }
     }
Index: code/branches/OrxoKart_HS18/src/modules/orxokart/TimeHUD.h
===================================================================
--- code/branches/OrxoKart_HS18/src/modules/orxokart/TimeHUD.h	(revision 12066)
+++ code/branches/OrxoKart_HS18/src/modules/orxokart/TimeHUD.h	(revision 12074)
@@ -33,5 +33,5 @@
 #define _TimeHUD_H__
 
-#include "HoverPrereqs.h"
+#include "OrxoKartPrereqs.h"
 
 #include "tools/interfaces/Tickable.h"
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    class _HoverExport TimeHUD : public OverlayText, public Tickable
+    class _OrxoKartExport TimeHUD : public OverlayText, public Tickable
     {
         public:
@@ -58,5 +58,5 @@
 
         private:
-            Hover* hoverGame_;
+            OrxoKart* orxokartGame_;
             float time_;
             bool running_;