Index: code/branches/TixyTaxyTorxy_HS18/src/modules/TixyTaxyTorxy/TixyTaxyTorxy.cc
===================================================================
--- code/branches/TixyTaxyTorxy_HS18/src/modules/TixyTaxyTorxy/TixyTaxyTorxy.cc	(revision 12082)
+++ code/branches/TixyTaxyTorxy_HS18/src/modules/TixyTaxyTorxy/TixyTaxyTorxy.cc	(revision 12086)
@@ -205,15 +205,15 @@
     void TixyTaxyTorxy::upgradeTower(int x, int y)
     {    
-        TixyTaxyTorxyCoordinate* coord = new TixyTaxyTorxyCoordinate(x,y);
-        x = coord->GetX();
-        y = coord->GetY();     
-
-        int cost = center_->getTowerCost(fields_[x][y]->getUpgrade() + 1);
-
-        if (fields_[x][y]->isFree() == false && fields_[x][y]->canUpgrade() == true && getCredit() >= cost)
-        {
-            payCredit(cost);
-            fields_[x][y]->upgrade();
-        }
+        // TixyTaxyTorxyCoordinate* coord = new TixyTaxyTorxyCoordinate(x,y);
+        // x = coord->GetX();
+        // y = coord->GetY();     
+
+        // int cost = 100;
+
+        // if (fields_[x][y]->isFree() == false && fields_[x][y]->canUpgrade() == true && getCredit() >= cost)
+        // {
+        //     payCredit(cost);
+        //     fields_[x][y]->upgrade();
+        // }
     }    
 
@@ -234,12 +234,11 @@
             selecter->buildTower_ = false;
 
-            if (getField(selecter->selectedPos_)->canUpgrade() == true)
-            {
-                upgradeTower(selecter->selectedPos_->GetX(), selecter->selectedPos_->GetY());
-            }
-            else
-            {
-                addTower(selecter->selectedPos_->GetX(), selecter->selectedPos_->GetY());
-            }            
+            // if (getField(selecter->selectedPos_)->canUpgrade() == true)
+            // {
+            //     upgradeTower(selecter->selectedPos_->GetX(), selecter->selectedPos_->GetY());
+            // }
+            
+            addTower(selecter->selectedPos_->GetX(), selecter->selectedPos_->GetY());
+                    
         }
         
Index: code/branches/TixyTaxyTorxy_HS18/src/modules/TixyTaxyTorxy/TixyTaxyTorxyField.cc
===================================================================
--- code/branches/TixyTaxyTorxy_HS18/src/modules/TixyTaxyTorxy/TixyTaxyTorxyField.cc	(revision 12082)
+++ code/branches/TixyTaxyTorxy_HS18/src/modules/TixyTaxyTorxy/TixyTaxyTorxyField.cc	(revision 12086)
@@ -42,5 +42,5 @@
 {
     RegisterClass(TixyTaxyTorxyField);
-
+    int counter=0;
     /**
     @brief
@@ -86,48 +86,51 @@
     }
 
-    void TixyTaxyTorxyField::upgrade()
-    {
-        if (canUpgrade() == true)
-        {
-            destroyTower();
-            createTower(getUpgrade() + 1);
-        }
-    }
-
-    int TixyTaxyTorxyField::getUpgrade()
-    {
-        return upgrade_;
-    }
-
-    TixyTaxyTorxyFieldType TixyTaxyTorxyField::getType()
-    {
-        return type_;
-    }
+    // void TixyTaxyTorxyField::upgrade()
+    // {
+    //     if (canUpgrade() == true)
+    //     {
+    //         destroyTower();
+    //         createTower(getUpgrade() + 1);
+    //     }
+    // }
+
+    // int TixyTaxyTorxyField::getUpgrade()
+    // {
+    //     return upgrade_;
+    // }
+
+    // TixyTaxyTorxyFieldType TixyTaxyTorxyField::getType()
+    // {
+    //     return type_;
+    // }
 
     void TixyTaxyTorxyField::setUpgrade(int upgrade)
     {
-        if (upgrade < 0)
-        {
-            upgrade_ = 0;
-        }   
-        else if (upgrade > 5)
-        {
-            upgrade = 5;
-        }
-        else
-        {
-            upgrade_ = upgrade;
-        }                            
-    }
-
-    bool TixyTaxyTorxyField::canUpgrade()
-    {
-        if (tower_ != nullptr && upgrade_ < 5)
-        {
-            return true;
-        }
-
-        return false;
-    }
+       //  upgrade_= counter%2;
+       // if (upgrade < 0)
+       //  {
+       //      upgrade_ = 0;
+       //  }   
+       //  else if (upgrade > 5)
+       //  {
+       //      upgrade = 5;
+       //  }
+       //  else
+       //  {
+       //      upgrade_ = upgrade;
+        }
+
+                                  
+    // }
+
+    // bool TixyTaxyTorxyField::canUpgrade()
+    // {
+    //     if (tower_ != nullptr && upgrade_ < 5)
+    //     {
+    //         return true;
+    //     }
+
+    //     return false;
+    // }
 
     void TixyTaxyTorxyField::setAngle(int newAngle)
@@ -253,37 +256,49 @@
     void TixyTaxyTorxyField::createTower(int upgrade)
     {        
+        counter++;
         if (tower_ == nullptr)
         {
-            modelGround_->setMeshSource("TD_F1.mesh");
+            if(counter%2==0){
+            modelGround_->setMeshSource("TD_T1.mesh");
             tower_ = new TixyTaxyTorxyTower(center_->getContext());
             attach(tower_);
-            type_ = TixyTaxyTorxyFieldType::TOWER;
-            setUpgrade(upgrade);
-            if (upgrade_ > 0 && modelObject_ != nullptr)
-            {
-                switch (upgrade_)
-                {
-                    case 1:
-                        modelObject_->setMeshSource("TD_T1.mesh");                    
-                        tower_->addTemplate(center_->getTower1Template());
-                        break;
-                    case 2:
-                        modelObject_->setMeshSource("TD_T2.mesh");
-                        tower_->addTemplate(center_->getTower2Template());
-                        break;
-                    case 3:
-                        modelObject_->setMeshSource("TD_T3.mesh");
-                        tower_->addTemplate(center_->getTower3Template());
-                        break;
-                    case 4:
-                        modelObject_->setMeshSource("TD_T4.mesh");
-                        tower_->addTemplate(center_->getTower4Template());
-                        break;
-                    case 5:
-                        modelObject_->setMeshSource("TD_T5.mesh");
-                        tower_->addTemplate(center_->getTower5Template());
-                        break;
-                }
-            }
+
+            }else{
+            modelGround_->setMeshSource("TD_T2.mesh");
+            tower_ = new TixyTaxyTorxyTower(center_->getContext());
+            attach(tower_);
+        }
+
+
+            // type_ = TixyTaxyTorxyFieldType::TOWER;
+            // setUpgrade(upgrade);
+            // if (upgrade_ > 0 && modelObject_ != nullptr)
+            // {
+            //     modelObject_->setMeshSource("TD_T2.mesh");                    
+            //     tower_->addTemplate(center_->getTower1Template());
+            //     switch (counter%2 +1)
+            //     {
+            //         case 1:
+            //             modelObject_->setMeshSource("TD_T1.mesh");                    
+            //             tower_->addTemplate(center_->getTower1Template());
+            //             break;
+            //         case 2:
+            //             modelObject_->setMeshSource("TD_T2.mesh");
+            //             tower_->addTemplate(center_->getTower2Template());
+            //             break;
+            //         case 3:
+            //             modelObject_->setMeshSource("TD_T3.mesh");
+            //             tower_->addTemplate(center_->getTower3Template());
+            //             break;
+            //         case 4:
+            //             modelObject_->setMeshSource("TD_T4.mesh");
+            //             tower_->addTemplate(center_->getTower4Template());
+            //             break;
+            //         case 5:
+            //             modelObject_->setMeshSource("TD_T5.mesh");
+            //             tower_->addTemplate(center_->getTower5Template());
+            //             break;
+            //     }
+            // }
         }                           
     }
Index: code/branches/TixyTaxyTorxy_HS18/src/modules/TixyTaxyTorxy/TixyTaxyTorxyField.h
===================================================================
--- code/branches/TixyTaxyTorxy_HS18/src/modules/TixyTaxyTorxy/TixyTaxyTorxyField.h	(revision 12082)
+++ code/branches/TixyTaxyTorxy_HS18/src/modules/TixyTaxyTorxy/TixyTaxyTorxyField.h	(revision 12086)
@@ -68,9 +68,9 @@
             virtual void create(char object, char param);
             virtual void setCenterpoint(TixyTaxyTorxyCenterpoint* center);
-            virtual void upgrade();
-            virtual int getUpgrade();
-            virtual TixyTaxyTorxyFieldType getType();
+            // virtual void upgrade();
+             // virtual int getUpgrade();
+            // virtual TixyTaxyTorxyFieldType getType();
             virtual void setUpgrade(int upgrade);
-            virtual bool canUpgrade();
+            // virtual bool canUpgrade();
             virtual void createFree(int orientation);
             virtual void createStart(int orientation);
Index: code/branches/TixyTaxyTorxy_HS18/src/modules/TixyTaxyTorxy/TixyTaxyTorxyTower.cc
===================================================================
--- code/branches/TixyTaxyTorxy_HS18/src/modules/TixyTaxyTorxy/TixyTaxyTorxyTower.cc	(revision 12082)
+++ code/branches/TixyTaxyTorxy_HS18/src/modules/TixyTaxyTorxy/TixyTaxyTorxyTower.cc	(revision 12086)
@@ -10,5 +10,4 @@
 
 #include "TixyTaxyTorxy.h"
-
 #include "core/CoreIncludes.h"
 //#include "core/XMLPort.h"
@@ -23,10 +22,11 @@
     */
     TixyTaxyTorxyTower::TixyTaxyTorxyTower(Context* context) : Turret(context)
-    {
+    {   
         RegisterObject(TixyTaxyTorxyTower);
         game_ =nullptr;
         this->setCollisionType(WorldEntity::CollisionType::None);
         upgrade = 1;
-
+            
+        }
         //this->removeAllEngines();
 
@@ -36,5 +36,5 @@
         this->delayTimer_.setTimer(0.2f, false, createExecutor(createFunctor(&TetrisStone::enableMovement, this)));
         */
-    }
+    
 
     /*