Index: data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapCasterFp.glsl
===================================================================
--- data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapCasterFp.glsl	(revision 12083)
+++ data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapCasterFp.glsl	(revision 12091)
Index: data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapCasterVp.glsl
===================================================================
--- data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapCasterVp.glsl	(revision 12083)
+++ data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapCasterVp.glsl	(revision 12091)
Index: data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapNormalMapReceiverFp.glsl
===================================================================
--- data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapNormalMapReceiverFp.glsl	(revision 12083)
+++ data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapNormalMapReceiverFp.glsl	(revision 12091)
@@ -31,5 +31,5 @@
 	vec4 shadowUV = oUv;
 	// point on shadowmap
-	shadowUV.xy = shadowUV.xy / shadowUV.w;
+	shadowUV = shadowUV / shadowUV.w;
 	float centerdepth = texture2D(shadowMap, shadowUV.xy).x;
     
Index: data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapNormalMapReceiverVp.glsl
===================================================================
--- data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapNormalMapReceiverVp.glsl	(revision 12083)
+++ data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapNormalMapReceiverVp.glsl	(revision 12091)
Index: data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapReceiverFp.glsl
===================================================================
--- data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapReceiverFp.glsl	(revision 12083)
+++ data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapReceiverFp.glsl	(revision 12091)
@@ -15,5 +15,5 @@
 	vec4 shadowUV = oUv;
 	// point on shadowmap
-	shadowUV.xy = shadowUV.xy / shadowUV.w;
+	shadowUV = shadowUV / shadowUV.w;
 	float centerdepth = texture2D(shadowMap, shadowUV.xy).x;
     
Index: data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapReceiverVp.glsl
===================================================================
--- data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapReceiverVp.glsl	(revision 12083)
+++ data/branches/Shader_HS18/programs/Example/GLSL/DepthShadowmapReceiverVp.glsl	(revision 12091)
Index: data/branches/Shader_HS18/programs/Example/GLSL/StdQuad_vp.glsl
===================================================================
--- data/branches/Shader_HS18/programs/Example/GLSL/StdQuad_vp.glsl	(revision 12083)
+++ data/branches/Shader_HS18/programs/Example/GLSL/StdQuad_vp.glsl	(revision 12091)
Index: data/branches/Shader_HS18/programs/Example/GLSL/SwizzleGP.glsl
===================================================================
--- data/branches/Shader_HS18/programs/Example/GLSL/SwizzleGP.glsl	(revision 12083)
+++ data/branches/Shader_HS18/programs/Example/GLSL/SwizzleGP.glsl	(revision 12091)
@@ -1,40 +1,37 @@
-#version 120																				
-#extension GL_EXT_geometry_shader4 : enable													
+#version 120
+#extension GL_EXT_geometry_shader4 : enable
 
-uniform vec4 origColor;																		
-uniform vec4 cloneColor;																	
+uniform vec4 origColour;
+uniform vec4 cloneColour;
 
-void main(void)																				
-{																							
+void main(void)
+{
+    /////////////////////////////////////////////////////////////
+    //This example has two parts
+    //  step a) draw the primitive pushed down the pipeline
+    //           there are gl_Vertices # of vertices
+    //           put the vertex value into gl_Position
+    //           use EmitVertex => 'create' a new vertex
+    //          use EndPrimitive to signal that you are done creating a primitive!
+    //  step b) create a new piece of geometry (I.E. WHY WE ARE USING A GEOMETRY SHADER!)
+    //          I just do the same loop, but swizzle the x and y values
+    //  result => the line we want to draw, and the same line, but along the other axis
 
-	//increment variable																	
-	int i;																					
+    //Pass-thru!
+    int i;
+    for (i = 0; i < gl_VerticesIn; i++) {
+        gl_Position = gl_PositionIn[i];
+        gl_FrontColor = origColour;
+        EmitVertex();
+    }
+    EndPrimitive();
 
-	/////////////////////////////////////////////////////////////							
-	//This example has two parts															
-	//	step a) draw the primitive pushed down the pipeline									
-	//		 there are gl_Vertices # of vertices											
-	//		 put the vertex value into gl_Position											
-	//		 use EmitVertex => 'create' a new vertex										
-	// 		use EndPrimitive to signal that you are done creating a primitive!				
-	//	step b) create a new piece of geometry (I.E. WHY WE ARE USING A GEOMETRY SHADER!)	
-	//		I just do the same loop, but swizzle the x and y values							
-	//	result => the line we want to draw, and the same line, but along the other axis		
-
-	//Pass-thru!																			
-	for(i=0; i< gl_VerticesIn; i++){														
-		gl_Position = gl_PositionIn[i];														
-		gl_FrontColor = origColor;															
-		EmitVertex();																		
-	}																						
-	EndPrimitive();																			
-	//New piece of geometry!  We just swizzle the x and y terms								
-	for(i=0; i< gl_VerticesIn; i++){														
-		gl_Position = gl_PositionIn[i];														
-		gl_Position.xy = gl_Position.yx;													
-		gl_FrontColor = cloneColor;															
-		EmitVertex();																		
-	}																						
-	EndPrimitive();																			
-
+    //New piece of geometry!  We just swizzle the x and y terms
+    for (i = 0; i < gl_VerticesIn; i++){
+        gl_Position = gl_PositionIn[i];
+        gl_Position.xy = gl_Position.yx;
+        gl_FrontColor = cloneColour;
+        EmitVertex();
+    }
+    EndPrimitive();
 }
Index: data/branches/Shader_HS18/programs/Example/GLSL/hdr_bloom.glsl
===================================================================
--- data/branches/Shader_HS18/programs/Example/GLSL/hdr_bloom.glsl	(revision 12083)
+++ data/branches/Shader_HS18/programs/Example/GLSL/hdr_bloom.glsl	(revision 12091)
Index: data/branches/Shader_HS18/programs/Example/GLSL/hdr_downscale2x2luminence.glsl
===================================================================
--- data/branches/Shader_HS18/programs/Example/GLSL/hdr_downscale2x2luminence.glsl	(revision 12083)
+++ data/branches/Shader_HS18/programs/Example/GLSL/hdr_downscale2x2luminence.glsl	(revision 12091)
Index: data/branches/Shader_HS18/programs/Example/GLSL/hdr_downscale3x3.glsl
===================================================================
--- data/branches/Shader_HS18/programs/Example/GLSL/hdr_downscale3x3.glsl	(revision 12083)
+++ data/branches/Shader_HS18/programs/Example/GLSL/hdr_downscale3x3.glsl	(revision 12091)
Index: data/branches/Shader_HS18/programs/Example/GLSL/hdr_downscale3x3brightpass.glsl
===================================================================
--- data/branches/Shader_HS18/programs/Example/GLSL/hdr_downscale3x3brightpass.glsl	(revision 12083)
+++ data/branches/Shader_HS18/programs/Example/GLSL/hdr_downscale3x3brightpass.glsl	(revision 12091)
Index: data/branches/Shader_HS18/programs/Example/GLSL/hdr_finalToneMapping.glsl
===================================================================
--- data/branches/Shader_HS18/programs/Example/GLSL/hdr_finalToneMapping.glsl	(revision 12083)
+++ data/branches/Shader_HS18/programs/Example/GLSL/hdr_finalToneMapping.glsl	(revision 12091)
Index: data/branches/Shader_HS18/programs/Example/GLSL/instancingVp.glsl
===================================================================
--- data/branches/Shader_HS18/programs/Example/GLSL/instancingVp.glsl	(revision 12083)
+++ data/branches/Shader_HS18/programs/Example/GLSL/instancingVp.glsl	(revision 12091)
Index: data/branches/Shader_HS18/programs/Example/GLSL/mrttestfp_quad.glsl
===================================================================
--- data/branches/Shader_HS18/programs/Example/GLSL/mrttestfp_quad.glsl	(revision 12083)
+++ data/branches/Shader_HS18/programs/Example/GLSL/mrttestfp_quad.glsl	(revision 12091)
Index: data/branches/Shader_HS18/programs/Example/GLSL/mrttestfp_scene.glsl
===================================================================
--- data/branches/Shader_HS18/programs/Example/GLSL/mrttestfp_scene.glsl	(revision 12083)
+++ data/branches/Shader_HS18/programs/Example/GLSL/mrttestfp_scene.glsl	(revision 12091)