Index: code/branches/WorldMap_HS18/data/gui/layouts/CampaignMenu.layout
===================================================================
--- code/branches/WorldMap_HS18/data/gui/layouts/CampaignMenu.layout	(revision 12100)
+++ code/branches/WorldMap_HS18/data/gui/layouts/CampaignMenu.layout	(revision 12101)
@@ -7,5 +7,18 @@
         <Property name="Area" value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
         <Property name="BackgroundEnabled" value="False" />
-        
+              
+        <Window name="ForwardText" type="MenuWidgets/Button">
+            <Property name="Text" value="Forward" />
+            <Property name="Visible" value="True" />
+            <Property name="Area" value="{{0.1,0},{0.6,0},{0.3,0},{0.65,0}}" />
+            <Event function="CampaignMenu.forwardButton_clicked" name="Clicked" />
+        </Window>
+
+        <Window name="ForwardButton" type="MenuWidgets/JuuButton">
+            <Property name="Visible" value="True" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.1,0},{0.75,0},{0.25,0},{0.95,0}}" />
+            <Event function="CampaignMenu.forwardButton_clicked" name="Clicked" />
+        </Window>
 
         <Window name="Mission1Text" type="MenuWidgets/Button">
@@ -15,4 +28,5 @@
             <Event function="CampaignMenu.Mission1Button_clicked" name="Clicked" />
         </Window>
+
         <Window name="Mission1Button" type="MenuWidgets/JuuButton">
             <Property name="Visible" value="False" />
@@ -29,4 +43,5 @@
             <Event function="CampaignMenu.Mission2Button_clicked" name="Clicked" />
         </Window>
+        
         <Window name="Mission2Button" type="MenuWidgets/JuuButton">
             <Property name="Visible" value="True" />
@@ -149,4 +164,6 @@
             <Event function="CampaignMenu.CampaignMenuBackButton_clicked" name="Clicked" />
         </Window>
+
+
         <Window name="CampaignMenuCongratulation" type="MenuWidgets/StaticText">
             <Property name="Text" value="Campaign Completed!!!" />
Index: code/branches/WorldMap_HS18/data/gui/scripts/CampaignMenu.lua
===================================================================
--- code/branches/WorldMap_HS18/data/gui/scripts/CampaignMenu.lua	(revision 12100)
+++ code/branches/WorldMap_HS18/data/gui/scripts/CampaignMenu.lua	(revision 12101)
@@ -75,5 +75,12 @@
 end
 
+function P.forwardButton_clicked(e)
+    P.loadMap()
+end
+
 function P.Mission1Button_clicked(e)
+    P.loadLevel(P.FindLevel(0))
+end
+function P.KeyPressed(e)
     P.loadLevel(P.FindLevel(0))
 end
@@ -116,4 +123,8 @@
 end
 
+function P.loadMap()
+    orxonox.execute("change Game  NC_StoryModeLevel")
+end
+
 function P.FindLevel(index)
     local filename = orxonox.LevelManager:getInstance():getCampaignMission(index)
Index: code/branches/WorldMap_HS18/data/levels/NC_StoryModeLevel.oxw
===================================================================
--- code/branches/WorldMap_HS18/data/levels/NC_StoryModeLevel.oxw	(revision 12100)
+++ code/branches/WorldMap_HS18/data/levels/NC_StoryModeLevel.oxw	(revision 12101)
@@ -1,3 +1,3 @@
-a<LevelInfo
+<LevelInfo
  name = "NC StoryMode"
  description = "A level in which the Campaign Menu is defined, which opens other levels."
Index: code/branches/WorldMap_HS18/data/levels/StoryModeMap.oxw
===================================================================
--- code/branches/WorldMap_HS18/data/levels/StoryModeMap.oxw	(revision 12100)
+++ code/branches/WorldMap_HS18/data/levels/StoryModeMap.oxw	(revision 12101)
@@ -37,5 +37,5 @@
         
          <Model position="550,300,0" mesh="assff.mesh" scale=20  visible="true" orientation="-0.015,0.091,0.038,-0.995"/>
-               <Model position="600,370,0" mesh="Coordinates.mesh" scale=10 />
+        <Model position="600,370,0" mesh="Coordinates.mesh" scale=10 />
         <Billboard colour="1,1,0.05" position="600,370,-80"  material="Flares/lensflare" scale=4.5 />
        
Index: code/branches/WorldMap_HS18/data/levels/StoryModeMapDev.oxw
===================================================================
--- code/branches/WorldMap_HS18/data/levels/StoryModeMapDev.oxw	(revision 12100)
+++ code/branches/WorldMap_HS18/data/levels/StoryModeMapDev.oxw	(revision 12101)
@@ -38,6 +38,6 @@
          
         
-         <Model position="550,300,0" mesh="assff.mesh" scale=20  visible="true" orientation="-0.015,0.091,0.038,-0.995"/>
-               <Model position="600,370,0" mesh="Coordinates.mesh" scale=10 />
+        <Model position="550,300,0" mesh="assff.mesh" scale=20  visible="true" orientation="-0.015,0.091,0.038,-0.995"/>
+        <Model position="600,370,0" mesh="Coordinates.mesh" scale=10 />
         <Billboard colour="1,1,0.05" position="600,370,-80"  material="Flares/lensflare" scale=4.5 />
        
@@ -77,15 +77,7 @@
     </templates>
     <controller>
-        <StoryModeController accuracy=10 team=3>
-            <waypoints>
-                <Model mesh="cube.mesh" scale=8 position="100,350,-250" />
-                <Model mesh="cube.mesh" scale=8 position="-900,-400,-1000" />
-                <Model mesh="cube.mesh" scale=8 position="0,500,0" />
-                <StaticEntity position="0,0,0" />
-            </waypoints>
-        </StoryModeController>
+        
     </controller>
 </SpaceShip>
-
 
 
Index: code/branches/WorldMap_HS18/data/levels/templates/StoryMode.oxt
===================================================================
--- code/branches/WorldMap_HS18/data/levels/templates/StoryMode.oxt	(revision 12100)
+++ code/branches/WorldMap_HS18/data/levels/templates/StoryMode.oxt	(revision 12101)
@@ -1,4 +1,4 @@
 <Template name=StoryMode>
-  <Pawn
+  <StoryModeController
    hudtemplate            = StoryModeMap
   />
Index: code/branches/WorldMap_HS18/src/modules/towerdefense/TowerDefense.cc
===================================================================
--- code/branches/WorldMap_HS18/src/modules/towerdefense/TowerDefense.cc	(revision 12100)
+++ code/branches/WorldMap_HS18/src/modules/towerdefense/TowerDefense.cc	(revision 12101)
@@ -272,6 +272,9 @@
         if (hasStarted() == false || player_ == nullptr)
         {
+            orxout(internal_warning) << "Heere" << endl;
             return;
         }
+
+        orxout(internal_warning) << "2" << endl;
         timeUntilNextWave_ -= dt;
         timeSinceLastSpawn_ += dt;
@@ -280,4 +283,5 @@
         if (selecter != nullptr && selecter->buildTower_ == true)
         {
+             orxout(internal_warning) << "3" << endl;
             selecter->buildTower_ = false;
 
Index: code/branches/WorldMap_HS18/src/modules/towerdefense/TowerDefenseSelecter.cc
===================================================================
--- code/branches/WorldMap_HS18/src/modules/towerdefense/TowerDefenseSelecter.cc	(revision 12100)
+++ code/branches/WorldMap_HS18/src/modules/towerdefense/TowerDefenseSelecter.cc	(revision 12101)
@@ -108,4 +108,5 @@
     void TowerDefenseSelecter::moveFrontBack(const Vector2& value)
     {
+        
         if (value.x > 0)
         {
Index: code/branches/WorldMap_HS18/src/orxonox/controllers/StoryModeController.cc
===================================================================
--- code/branches/WorldMap_HS18/src/orxonox/controllers/StoryModeController.cc	(revision 12100)
+++ code/branches/WorldMap_HS18/src/orxonox/controllers/StoryModeController.cc	(revision 12101)
@@ -36,22 +36,27 @@
     RegisterClass(StoryModeController);
 
-   StoryModeController::StoryModeController(Context* context) : ArtificialController(context)
+   StoryModeController::StoryModeController(Context* context) : Pawn(context)
     {
         RegisterObject(StoryModeController);
-        this->setAccuracy(100);
+        moveRight_ = false;
+        moveLeft_ = false;
+        //this->setAccuracy(50);
     }
 
     StoryModeController::~StoryModeController()
     {
-        for (WorldEntity* waypoint : this->waypoints_)
+        /*for (WorldEntity* waypoint : this->waypoints_)
         {
             if(waypoint)
                 waypoint->destroy();
-        }
+        }*/
+
     }
 
     void StoryModeController::tick(float dt)
     {
-        if (!this->isActive())
+        orxout(internal_error) << "Hi" << endl;
+        
+        /*if (!this->isActive())
             return;
 
@@ -59,9 +64,32 @@
             return;
 
-        if (false /* this->waypoints_[this->currentWaypoint_]->getWorldPosition().squaredDistance(this->getControllableEntity()->getPosition()) <= this->squaredaccuracy_*/)
-            this->currentWaypoint_ = (this->currentWaypoint_ + 1) % this->waypoints_.size();
+        if (false /* this->waypoints_[this->currentWaypoint_]->getWorldPosition().squaredDistance(this->getControllableEntity()->getPosition()) <= this->squaredaccuracy_*///)
+            //this->currentWaypoint_ = (this->currentWaypoint_ + 1) % this->waypoints_.size();
 
         //this->moveToPosition(this->waypoints_[this->currentWaypoint_]->getWorldPosition());
     }
 
+    void StoryModeController::moveFrontBack(const Vector2& value)
+    {
+        orxout(internal_error) << "FrontBack" << endl;
+
+            
+    }
+    void StoryModeController::moveRightLeft(const Vector2& value)
+    {
+        orxout(internal_error) << "RightLeft" << endl; 
+        if (value.x>0){
+            moveRight_ =false;
+            moveLeft_ =true;
+
+        } 
+
+    }
+
+    void StoryModeController::rotateYaw(const Vector2& value){}
+    void StoryModeController::rotatePitch(const Vector2& value){}
+    void StoryModeController::rotateRoll(const Vector2& value){}
+    void StoryModeController::fire(unsigned int a){}
+    void StoryModeController::fired(unsigned int b){}
+    void StoryModeController::boost(bool bBoost){}
 }
Index: code/branches/WorldMap_HS18/src/orxonox/controllers/StoryModeController.h
===================================================================
--- code/branches/WorldMap_HS18/src/orxonox/controllers/StoryModeController.h	(revision 12100)
+++ code/branches/WorldMap_HS18/src/orxonox/controllers/StoryModeController.h	(revision 12101)
@@ -34,9 +34,10 @@
 #include <vector>
 #include "tools/interfaces/Tickable.h"
-#include "ArtificialController.h"
+#include "worldentities/ControllableEntity.h"
+#include "worldentities/pawns/SpaceShip.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport StoryModeController : public ArtificialController, public Tickable
+    class _OrxonoxExport StoryModeController : public Pawn
     {
         public:
@@ -44,6 +45,15 @@
             virtual ~StoryModeController();
 
-            virtual void tick(float dt) override;
-
+            virtual void tick(float dt) override;            
+            virtual void moveFrontBack(const Vector2& value) override;
+            virtual void moveRightLeft(const Vector2& value) override;
+            virtual void rotateYaw(const Vector2& value) override;
+            virtual void rotatePitch(const Vector2& value) override;
+            virtual void rotateRoll(const Vector2& value) override;
+            void fire(unsigned int firemode);
+            virtual void fired(unsigned int firemode) override;
+            virtual void boost(bool bBoost) override;
+            bool moveRight_ ;
+            bool moveLeft_ ;
         protected:
 