Index: /code/branches/wagnis_HS18/src/modules/wagnis/CMakeLists.txt
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/CMakeLists.txt	(revision 12108)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/CMakeLists.txt	(revision 12109)
@@ -2,4 +2,5 @@
   WagnisProvince.cc
   WagnisGameboard.cc
+  WagnisPlayer.cc
 )
 
Index: /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc	(revision 12108)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.cc	(revision 12109)
@@ -14,9 +14,9 @@
 
     //Constructor
-    WagnisPlayer::WagnisPlayer(Context* context,WagnisGameboard* gb) : Baseclass(context){
+    WagnisPlayer::WagnisPlayer(Context* context) : HumanPlayer(context){
         RegisterObject(WagnisPlayer);
         this->origin = nullptr;
         this->target = nullptr;
-        this->gameBoard = gb;
+        this->gameBoard = nullptr;
     }
     //Destructor
@@ -29,7 +29,7 @@
     }
     //checks if a move is valid, possible MoveTypes: ATTACK, MOVE, SET_TROOPS, SET_TROOPS_INITIAL
-    bool WagnisPlayer::checkMove(WagnisProvince*,WagnisProvince*,MoveType)
+    bool WagnisPlayer::checkMove(WagnisProvince*,WagnisProvince*,MoveType move_type)
     {
-        if (MoveType == ATTACK)
+        if (move_type == ATTACK)
         {
             if (isNeighbour(this->origin, this->target))//TODO: provinces neighbours
@@ -43,5 +43,5 @@
         }
 
-        if (MoveType == MOVE)
+        if (move_type == MOVE)
         {
             if (existPath(this->origin, this->target))//TODO: path exists, all belong to same player
@@ -53,5 +53,5 @@
         }
 
-        if (MoveType == SET_Troops)
+        if (move_type == SET_TROOPS)
         {
             if (this->target->getOwner_ID() == this->Player_ID)//target belongs to player
@@ -59,5 +59,5 @@
         }
 
-        if (MoveType == SET_TROOPS_INITIAL)
+        if (move_type == SET_TROOPS_INITIAL)
         {
             if (this->target->getOwner_ID() == 0)//target belongs to nobody
@@ -81,5 +81,5 @@
     std::string WagnisPlayer::toString(){
         std::string str = "Player ";
-        str.append(std::to_string(Player_ID);
+        str.append(std::to_string(Player_ID));
         return str;
     }
@@ -89,7 +89,7 @@
     bool WagnisPlayer::isNeighbour(WagnisProvince*,WagnisProvince*)
     {
-        for (int i = 0; i < this->origin->neighbors.size(); ++i)
+        for (unsigned int i = 0; i < this->origin->neighbors.size(); ++i)
         {
-            if (this->target == this->origin->neighbors(i))
+            if (this->target == this->origin->neighbors[i])
                 return true;
         }
@@ -105,8 +105,8 @@
             return true;
         
-        for (int i = 0; i < this->origin->neighbors.size(); ++i)
+        for (unsigned int i = 0; i < this->origin->neighbors.size(); ++i)
         {
-            if (this->origin->getOwner_ID() == this->origin->neighbors(i)->getOwner_ID())
-                return existPath(this->origin->neighbors(i), this->target);
+            if (this->origin->getOwner_ID() == this->origin->neighbors[i]->getOwner_ID())
+                return existPath(this->origin->neighbors[i], this->target);
         }
             
Index: /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.h
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.h	(revision 12108)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/WagnisPlayer.h	(revision 12109)
@@ -14,4 +14,5 @@
 #include <vector>
 #include <string>
+#include "infos/HumanPlayer.h"
 
 enum MoveType { ATTACK, MOVE, SET_TROOPS, SET_TROOPS_INITIAL };
@@ -21,8 +22,8 @@
 namespace orxonox
 {
-    class WagnisPlayer : public BaseClass
+    class WagnisPlayer : public HumanPlayer
     {
     public:
-        WagnisPlayer(Context*,WagnisGameboard*);
+        WagnisPlayer(Context*);
         virtual ~WagnisPlayer();
 